/* ==========================================================================
    LAYOUTS
    -------------------------------------------------------------------------
    XXX

    HELPERS
    -------------------------------------------------------------------------
    Wizard
        : hide-wizard-form-title (New)

    ELEMENTS
    -------------------------------------------------------------------------
    Buttons (Override/complement)
    Details (Override/complement)
    Links (Override/complement)
    errorMessage
    Checkbox
    Required Field

    COMPONENTS
    -------------------------------------------------------------------------
    Cards
        : Dashlet (New)
    Lists
        : Dashlet (New)
        : Pipeline (New)
    Navigation
        : Tabs (Inverting clickable colors - commented and ready to use)
    List Controls (Override/complement)
    Tables (Override/complement)
    Stars Ranking

    WIDGETS
    -------------------------------------------------------------------------
    New requisition from scratch (New)
    Reports (New)
    Stats (New)

    MODULES
    -------------------------------------------------------------------------
    Banner
    Blind
    Footer

    PAGETYPES
    -------------------------------------------------------------------------
    Login (Override/complement)
    Dashboard
        : Section (Override/complement)

    Submit Job Template
        : Section (Override/complement)
    Candidates Comparison
        : Section (Override/complement)
    Change Password
        : Section (Override/complement)

    UTILITIES
    -------------------------------------------------------------------------
    Boxed

    PLUGINS
    -------------------------------------------------------------------------
    Glightbox

========================================================================== */
/*
    LAYOUTS/XXX
*/
.aside .article+.article--matching {
    margin-block-start: var(--t-gs--space--xl);
}

.aside .article+.article--view-more--aside,
.aside div:has(.article--pipeline)+.article {
    margin-block-start: var(--t-gs--space--xl);
}
/*
HELPERS
-------------------------------------------------------------------------
*/
.flex--col--start {
    flex-direction: column;
    align-items: flex-start;
}

/*
HELPERS : Wizard
-------------------------------------------------------------------------
*/
.hide-wizard-form-title .FormHeader {
    display: none;
}

/*
    ELEMENTS/Buttons (Override/complement)
*/

.button .button--tertiary.downloadAttachmentsButton {
    all: unset
}

/*
    ELEMENTS/Article: Details (Override/complement)
*/

.article--details+.article--details:nth-last-child(1) {
    border-block-end-style: solid;
    border-block-end-width: .1rem;
    border-block-end-color: var(--t-gs--color--border--default);
    padding-block-end: var(--t-gs--space--l);
}

/* Media query to target only desktop */
@media all and (min-width:1025px) {
    .pdf--not-full .article__content {
        max-width: 70%;
    }
}

/*
    ELEMENTS/Links (Override/complement)
*/

.link {
    font-weight: var(--t-gs--font--weight--bold);
    --t-gs--color--text--link: var( --t--gs--color--custom--03);
}

.link.link--report {
  text-decoration: underline;
  text-underline-offset: var(--t-gs--space--s);
  text-decoration-color: transparent;
  transition: text-decoration-color 0.2s;
}

.link.link--report:hover {
    text-decoration-color: currentColor;
}

/*
    ELEMENTS/errorMessage (Override/complement)
*/
.errorMessage::before {
    color: var(--t-gs--swatch--error);
    padding-block-start: var(--t-gs--space--xxs);
}

.errorMessage.message--error {
    display: flex;
    align-items: center;
}

/*
    ELEMENTS/Checkbox (Override/complement)
*/

input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    width: 1.3rem;
    height: 1.3rem;
    flex-shrink: 0;
    border: 0.1rem solid var(--t-gs--color--text--default); /* borde negro siempre visible */
    border-radius: 0.2rem;
    background-color: var(--t-gs--swatch--neutral--100);
    display: inline-block;
    position: relative;
    cursor: pointer;
}

/* estado checked */
input[type="checkbox"]:checked {
    background-color: var(--t--gs--color--custom--03); /* azul seleccionado */
    border: 0.1rem solid var(--t-gs--color--text--default); /* mantiene el borde negro */
}

/* tick */
input[type="checkbox"]:checked::after {
    content: "";
    position: absolute;
    top: 0.1rem;
    left: 0.4rem;
    width: 0.4rem;
    height: 0.8rem;
    border: solid var(--t-gs--swatch--neutral--100);
    border-width: 0 0.2rem 0.2rem 0;
    transform: rotate(45deg);
}

/*
    ELEMENTS/Required Field (Override/complement)
*/

.requiredField:not(:has(.labelRequiredIcon))::after {
    content: "*";
    color: var(--t-gs--swatch--error);
    margin-inline-start: var(--t-gs--space--s);
}

/*
    COMPONENTS/Cards: Dashlet (New)
*/

.article--boxed--dashlet .article__header__text__title {
    display: flex;
    align-items: center;
    gap: var(--t-gs--space--s2);
}

.article--boxed--dashlet .article__header__count {
    font-size: var(--t-gs--font--size--09);
    font-weight: var(--t-gs--font--weight--bold);
}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .article--boxed--dashlet.article--accordion > .article__header {
        padding-inline-end: var(--t-tc--boxes--padding--outers);
    }

    .article--boxed--dashlet[class*="--accordion"]:not([class*="--accordion__open"]) > [class*="__content"] {
        display: block;
    }

}

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .article--boxed--dashlet {
        display: flex;
        flex-direction: column;
    }

    .article--boxed--dashlet .article__content {
        flex-grow: 1;
    }

}

/*
    COMPONENTS/Lists: Dashlet (New)
*/

.list--dashlet {
    margin-block-end: -.1rem;
}

.list--dashlet .list__item {
    border-block-end-width: var(--t-gs--border--width--s);
    border-block-end-style: solid;
    border-block-end-color: var(--t-tc--boxes--border--color);
}

.list--dashlet .list__item__container {
    display: flex;
    column-gap: var(--t-gs--space--s);
    min-block-size: calc(var(--t-gs--size--base) * 16);
    padding-block: var(--t-gs--space--s);
    padding-inline: var(--t-gs--space--m);
    transition: all 0.3s ease;
}

.list--dashlet .list__item:not(.partially-saved) a.list__item__container:hover {
    background-color: var(--t-gs--color--fill--link--hover);
    transition: all 0.3s ease;
}

.list--dashlet .list__item__image {
    flex-shrink: 0;
    align-content: center;
}

.list--dashlet .list__item__text {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.list--dashlet .list__item__text {
    inline-size: 100%;
}

.list--dashlet .list__item__image + .list__item__text {
    inline-size: calc(100% - var(--t-tc--thumbnail--width) - var(--t-gs--space--s));
}

.list--dashlet .list__item__text__title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: var(--t-gs--space--s);
    inline-size: 100%;
}

.list--dashlet a.list__item__container .list__item__text__title__name {
    font-weight: var(--t-gs--font--weight--bold);
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    color: var(--t-gs--color--text--link);
    transition: all 0.3s ease;
}

.list--dashlet .list__item:not(.partially-saved) a.list__item__container:hover .list__item__text__title__name {
    color: var(--t-gs--color--text--on--fill--link--hover);
    transition: all 0.3s ease;
}

.list--dashlet .list__item a.list__item__container:focus .list__item__text__title__name {
    color: var(--t-gs--color--text--on--fill--link--focus);
    transition: all 0.3s ease;
}

.list--dashlet .list__item a.list__item__container:active .list__item__text__title__name {
    color: var(--t-gs--color--text--on--fill--link--active);
    transition: all 0.3s ease;
}

.list--dashlet .list__item__text__subtitle {
    inline-size: 100%;
    font-size: var(--t-gs--font--size--03);
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    transition: all 0.3s ease;
}

.list--dashlet .list__item:not(.partially-saved) a.list__item__container:hover .list__item__text__subtitle {
    color: var(--t-gs--color--text--on--fill--link--hover);
    transition: all 0.3s ease;
}

/*
    COMPONENTS/Lists: Pipeline (New)
*/

.list--pipeline a {
    display: flex;
    align-items: center;
    border-block-end-width: var(--t-gs--border--width--s);
    border-block-end-style: solid;
    border-block-end-color: var(--t-gs--color--border--default);
    padding-block: var(--t-gs--space--s);
    padding-inline: var(--t-gs--space--0);
}

.list--pipeline .list__item__count {
    inline-size: calc(var(--t-gs--size--base) * 9);
    margin-inline-end: var(--t-gs--space--s2);
    margin-inline-start: var(--t-gs--space--xs);
}

.list--pipeline .list__item__count__value {
    font-weight: var(--t-gs--font--weight--bold);
    font-size: var(--t-gs--font--size--09);
    color: var(--t-gs--color--text--link);
}

.list--pipeline .list__item__text {
    flex-grow: 1;
}

.list--pipeline .list__item__text__title {
    font-size: var(--t-gs--font--size--06);
    font-weight: var(--t-gs--font--weight--bold);
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .list--pipeline .list__item__count__value {
        font-size: var(--t-gs--font--size--08);
    }

    .list--pipeline .list__item__text__title {
        font-size: var(--t-gs--font--size--05);
    }
}

/*
    COMPONENTS/Navigation: Tabs (Inverting clickable colors - commented and ready to use)
*/

.tabs {
    border-block-end-color: var(--t--gs--color--custom--02);
}

.tabs__list__item--active {
    font-weight: var(--t-gs--font--weight--regular);
}

.tabs__list__item:not(.tabs__list__item--active):hover {
    background-color: var(--t--gs--color--custom--01);
    color: var(--t-gs--swatch--neutral--100);
}

/*
    COMPONENTS/Navigation: Toggeable
*/
/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .section[search-type=toggleable] .section__header__tabs {
        max-inline-size: 100%;
    }

    .section[search-type=toggleable] .section__header__actions {
        width: 100%;
        padding-block-start: 3.2rem;
        padding-inline-end: var(--t-gs--space--m)
    }

    .section[search-type=toggleable] .section__header__text__title {
        border-bottom: 0.1rem solid var(--t-gs--color--surface--secondary);
        flex-grow: 2;
        padding-block-end: var(--t-gs--space--s2);
        text-align: start;
}

    .section__header__actions .toggle--search {
        width: 100%;
    }

    .section__header__actions .toggle--search[aria-expanded=true] {
        --t-tc--toggle--background--color: var(--t-gs--swatch--neutral--transparent);
    }

    .section.section--noToggleable .section__header__tabs {
        position: relative;
    }

    .tabs__placeholder:after {
        color: var(--t--gs--color--custom--01)
    }
}

.toggle--search .toggle__icon {
    color: var(--t--gs--color--custom--01);
}

/*
    COMPONENTS/List Controls (Override/complement)
*/

.list-controls__text {
    --a-list-resultCount-color: var(--t--gs--color--custom--01);
}

.list-controls__pagination [data-link-type="currentPageLink"],
.list-controls__pagination [data-link-type="paginationLink"],
.list-controls__pagination [data-link-type="paginationNextLink"],
.list-controls__pagination [data-link-type="paginationPreviousLink"] {
    text-decoration: none;
}

.list-controls__pagination [data-link-type="paginationLink"]:hover,
.list-controls__pagination [data-link-type="paginationNextLink"]:hover,
.list-controls__pagination [data-link-type="paginationPreviousLink"]:hover {
    text-decoration: underline;
    text-underline-offset: 0.4rem;
}


/*
    WIDGETS/New requisition from scratch (New)
*/

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .article--from-scratch {
        display: flex;
        flex-direction: column;
        block-size: 100%;
    }

    .article--from-scratch .article__content {
        flex-grow: 1;
    }

}

/*
    COMPONENT: Tables (Override/complement)
*/
.table--cards tbody tr>:first-child,
.table--people.table--default tbody tr>:first-child {
    display: flex;
    align-items: center;
    gap: var(--t-gs--space--s);
}

@media (width <= 750px) {
    .table--cards tbody tr>:first-child {
        font-size: var(--t-gs--font--size--06);
    }

    .toggle.toggle--card {
        --t-tc--toggle--font--color: var(--t-gs--color--text--default);
    }
}
/*
    COMPONENT: Stars Ranking
*/
.article__content__view__field:nth-child(n+3) .stars,
.banner__text__subtitle .stars,
td .stars,
.stars-rating--new label,
.stars-rating--new .stars-rating-group label,
.stars-rating--new .stars-rating-zero-group label {
    font-family: Arial, sans-serif;
    color: var(--t--gs--color--custom--02);
}

.article__content__view__field:nth-child(n+3) .stars,
.banner__text__subtitle .stars,
td .stars {
    --percent: calc(var(--rating, 0) / 5 * 100%);
    font-size: 2rem;
    line-height: 1;
    white-space: nowrap;
}

.stars-rating--new label,
.stars-rating--new .stars-rating-group label,
.stars-rating--new .stars-rating-zero-group label {
    font-weight: 300;
    margin-block-start: var(--t-gs--space--m);
    font-size: unset;
}

.stars-rating--new {
    font-size: unset;
}

.stars-rating-buttons-group {
    position: relative;
    display: block;
    min-height: var(--t-gs--space--m);
}

.star-button-zero {
    display: none;
}

.star-button-clear {
    position: absolute;
    left: -0.6rem;
}

.stars-rating--new .stars-rating-group .star-filled:before {
    color: var(--t--gs--color--custom--02);
}

.stars {
    position: relative;
}

.stars[style*="--rating"]::before {
  content: "\2605\2605\2605\2605\2605";
  letter-spacing: .2rem;
  background: linear-gradient(90deg, var(--t--gs--color--custom--02) var(--percent), transparent var(--percent));
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke: 0.1rem var(--t--gs--color--custom--02)
}

.stars[style*="--rating"]::after {
    left: 0;
    color: transparent;
    -webkit-text-stroke: 0.1rem var(--t--gs--color--custom--02);
    background: none;
}

.stars-rating--new .stars-rating-group .star-hover:before,
.stars-rating--new .stars-rating-group .star-filled:before {
    content: "\2605";
    -webkit-text-stroke: 0;
}

.stars-rating--new label:before,
.stars-rating--new .stars-rating-group label:before,
.stars-rating--new .stars-rating-zero-group label:before {
    content: "\2606";
    font-size: var(--t-gs--font--size--08);
    color: var(--t--gs--color--custom--02);
    -webkit-text-stroke: 0.5px var(--t--gs--color--custom--02);
}

.article__content__view__field:nth-child(-n+2) .stars::before {
    content: none;
}

.table--cards .table__row--open td.rating--stars {
    vertical-align: text-bottom;
}

.article__content__view__field:last-child .stars .article__content__view__field__rating-text {
    display: none;
}


/*
    WIDGETS/Reports (New)
*/

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .article--report .article__header {
        flex-wrap: wrap;
    }

    .article--report .article__header__text {
        inline-size: 100%
    }

    .article--report .article__header__actions {
        inline-size: 100%
    }

    .article--report .article__header__actions .switcher {
        display: none;
    }

    .article--report .article__header + .article__content {
        margin-block-start: var(--t-gs--space--s2);
    }

    .article--report .article__content__graphic {
        display: none;
    }

}

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .article--report .article__header {
        border-block-end-width: var(--t-gs--border--width--s);
        border-block-end-style: solid;
        border-block-end-color: var(--t-gs--color--border--default);
        align-items: baseline;
    }

    .article--report .article__header__actions {
        display: flex;
        align-items: baseline;
        justify-content: space-between;
        flex-grow: 1;
        margin-inline-start: var(--t-gs--space--m);
    }

    .article--report .article__header__actions .switcher__pointing {
        font-size: 120%;
    }

    .article--report .article__content__table {
        display: none;
    }

    .article--report .article__content__graphic .highcharts-container,
    .article--report .article__content__graphic .highcharts-container svg {
        max-inline-size: 100%;
    }

}

.article--report .table .sort__item__icon {
    display: none; /* Patch: We hide the sort via CSS, this should be done via flow */
}

/*
    WIDGETS/Stats (New)
*/

.article--stats.article--boxed {
    padding-block: var(--t-tc--boxes--padding--outers);
    padding-inline: var(--t-tc--boxes--padding--outers);
}

.article--stats .article__header__count {
    display: block;
    font-size: 4rem;
    font-weight: 300;
}

/*
    MODULES/Banner
*/

.banner__text__subtitle {
    font-size: var(--t-gs--font--size--06);
    text-transform: unset
}

.banner .stars {
    padding-block-end: var(--t-gs--space--s);
    min-height: 3rem;
}

.banner__text__title.title.title--hero {
    max-width: 20ch;
    word-break: break-word;
}

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .banner__text__subtitle {
        font-size: var(--t-gs--font--size--04);
    }
}

/*
    MODULES/Blind
*/

/* Media query to target only desktop */
@media all and (min-width:1025px) {
    .grid.grid--1 .extra-panel .button-bar--cols-1 {
        --t-tc--button-bar__buttons--width: auto;
    }

    .grid.grid--1 .extra-panel .button-bar--cols-1.ButtonBarField [class*=Button] {
        min-inline-size: var(--t-tc--buttons--width--min);
    }
}

/*
    MODULES/Header
*/

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .header__wrapper {
        --t-tc--header--height: 9.2rem
    }

    .menu.menu--toggleable .menu__list {
        max-width: 73.8%;
    }
}

.menu--toggleable .menu__panel {
    background-color: var(--t-gs--swatch--brand);
}

.menu--visible .submenu__item+.submenu__item, .menu--visible .portalLanguages__item+.portalLanguages__item {
    border-block-start-color: var(--t-gs--swatch--neutral--transparent);
}

/*
    MODULES/Banner
*/

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .banner--main {
        margin-top: 3.6rem;
    }
}

/*
    MODULES/Footer
*/

.footer .footer__links__item.link {
    font-weight: var(--t-gs--font--weight--regular);
}

.footer .footer__links__divider {
    color: var(--t-gs--swatch--neutral--transparent);
}

.footer .logo.logo--footer {
    --t-tc--logo--height: calc(var(--t-gs--size--base) * 13.4);
}

.footer .logo.logo--footer :where(img) {
    block-size: 100%;
}

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .footer .logo.logo--footer {
        --t-tc--logo--height: calc(var(--t-gs--size--base) * 12.5);
    }

    .footer .footer__content {
        flex-direction: column;
        align-items: flex-start;
    }

    .footer .footer__content>*+* {
        margin-block-start: var(--t-gs--space--xxxl);
    }

    .footer .footer__links {
        flex-direction: column;
        align-items: flex-start;
    }

    .footer .footer__links__item.link {
        margin-block-start: var(--t-gs--space--m);
    }

    .footer .footer__links__divider {
        display: none;
    }
}

/*
    PAGETYPES/Login
*/

html:has(.body--login) {
    scrollbar-gutter: auto;
}

.body--login .article__header {
    justify-content: center;
}

.body--login form.form--login {
    margin-block-start: var(--t-gs--space--m);
}

.body--login form.form--login .description {
    margin-block-end: var(--t-gs--space--xl);
}

/*
    PAGETYPES/Dashboard: Section (Override/complement)
*/

.section--dashboard .section__header > templatebuilder-page-dropzone {
    align-items: center;
    inline-size: 100%;
    display: flex;
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .section--dashboard .section__header,
    .section--dashboard .section__header > templatebuilder-page-dropzone {
        flex-wrap: wrap;
    }

    .section--dashboard .section__header__text__title__welcome {
        display: block;
        font-size: var(--t-gs--font--size--04);
        font-weight: 400;
    }

    .section--dashboard .section__header__text__title__user {
        display: block;
    }

    .section--dashboard .section__header__actions {
        margin-block-start: var(--t-gs--space--m);
        inline-size: 100%;
    }

    .section--dashboard .section__header + .section__content,
    .section--dashboard .section__header + templatebuilder-page-dropzone + .section__content {
        margin-block-start: var(--t-gs--space--m);
    }

    .section--dashboard .section__content + .section__content,
    .section--dashboard .section__content + templatebuilder-page-dropzone + .section__content {
        margin-block-start: var(--t-gs--space--l);
    }

    .section--dashboard .section__content--report {
        margin-inline-end: calc(-1 * var(--t-tc--grid--laterals));
        margin-inline-start: calc(-1 * var(--t-tc--grid--laterals));
        inline-size: auto;
        background-color: var(--t-gs--color--surface--secondary);
        padding-block-start: var(--t-gs--space--l);
        padding-inline-end: var(--t-tc--grid--laterals);
        padding-block-end: var(--t-gs--space--l);
        padding-inline-start: var(--t-tc--grid--laterals);
    }

    .section--dashboard .section__content + .section__content--stats,
    .section--dashboard .section__content + templatebuilder-page-dropzone + .section__content--stats {
        margin-block-start: calc(-1 * var(--t-gs--space--l));
        margin-inline-end: calc(-1 * var(--t-tc--grid--laterals));
        margin-block-end: calc(-1 * var(--t-tc--main--padding--bottom));
        margin-inline-start: calc(-1 * var(--t-tc--grid--laterals));
        inline-size: auto;
        background-color: var(--t-gs--color--surface--secondary);
        padding-block-start: var(--t-gs--space--l);
        padding-inline-end: var(--t-tc--grid--laterals);
        padding-block-end: var(--t-gs--space--l);
        padding-inline-start: var(--t-tc--grid--laterals);
    }

}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .section--dashboard .grid--3 > .grid__item {
        flex: 0 0 50%;
        max-inline-size: 50%;
    }

    .section--dashboard .section__content--stats .grid > .grid__item {
        flex: 0 0 100%;
        max-inline-size: 100%;
    }

}

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .section--dashboard .section__content + .section__content,
    .section--dashboard templatebuilder-page-dropzone + .section__content {
        margin-block-start: var(--t-gs--space--xl);
    }
}

/*
    PAGETYPES/Submit Job-Submit Job Template: Section (Override/complement)
*/

.section--submitJob .section__header + * + .section__content.section__content--w--reduced,
.section--submitJob .section__header + * + .section__content.section__content--w--narrower {
    margin-block-start: var(--t-gs--space--xl);
}

/*
    PAGETYPES/Candidates Comparison: Section (Override/complement)
*/

.body--comparison .grid--2-columns.grid--2--sidebar {
    gap: var(--t-gs--space--xl);
}

.grid__item.comparison__column {
    border: var(--t-gs--border--width--s) solid var(--t-gs--swatch--neutral--080);
    padding-block-end: var(--t-tc--main--padding--top);
    margin-block-start: var(--t-tc--grid--columns--gap);
    padding-inline-end: var(--t-tc--main--padding--bottom);
}

.article--details.article--details--comparison .article__content__view {
    display: flex;
    gap: var(--t-gs--space--s);
}

.article--details.article--details--comparison .article__content__view__field__value {
    font-size: var(--t-gs--font--size--10);
    font-weight: var(--t-tc--title--font--weight);
    color: var(--t--gs--color--custom--03);
}

.comparison__column .loading {
    text-align: center;
    padding: var(--t-gs--space--xl);
    color: var(--t-gs--color--text--secondary);
}

.article--details--comparison + .article--details {
    border:unset;
    padding-block-start: var(--t-gs--space--0);
}

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .body--comparison .grid--2--sidebar {
        margin-block-end: var(--t-gs--space--0);
        margin-inline-start: unset;
    }

    .grid__item.comparison__column {
        padding-inline-end: var(--t-tc--main--padding--bottom);
    }

    .article--details.article--details--comparison .article__content__view__field__value {
        font-size: var(--t-gs--font--size--09);
    }

    .body--comparison .article--actions {
        all: unset;
    }

    .body--comparison .article--details .article__header__text__title {
        font-size: var(--t-tc--title--h4);
    }
}

/*
    PAGETYPES/ Change Password: Section (Override/complement)
*/

/* Media query to target only desktop */
@media all and (min-width:1025px) {
    .body--changePassword .section {
        padding-block-start: 5.6rem;
    }
}
/*
    UTILITIES/Boxed
*/
[class*=--boxed--warning] {
    border-color: var(--t-gs--swatch--neutral--transparent);
}

[class*=--boxed--warning] {
    border-inline-start-color: var(--t--gs--color--custom--02);
}

/*
    PLUGINS/Glightbox
*/

.glightbox-container {
    & .ginner-container, & .gslide-external {
        block-size: auto;
    }
}

.body--popup .main__wrapper {
    display: flex;
    justify-content: center;
    align-items: flex-start;
}

.body--popup .main__content {
    inline-size: 100%;
}

.body--popup .main__content :where(h3.tc_formLabel) {
    font-size: var(--t-gs--font--size--09);
    padding-block-end: var(--t-gs--space--l);
}

.section__content .table__wrap .table--people th:first-child {
    min-width: 11rem;
}

.section__content .table__wrap .table--people th:last-child {
     min-width: 13rem;
}

.section__content .table__wrap .table--default tbody tr>:first-child .link,
.section__content .table__wrap .table--default tbody tr td:last-child .link {
    white-space: normal;
}

/* Media query to small desctop screens */
@media all and (max-width:1120px) {
    .section__content .table__wrap .table--people td[data-th="Position"] {
        max-width: 6rem;
    }
}

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .body--popup .main__content :where(h3.tc_formLabel) {
        font-size: var(--t-gs--font--size--08);
    }
}